[MediaWiki-l] [MediaWiki-announce] Security Release: 1.25.3, 1.24.4 and 1.23.11

Chad innocentkiller at gmail.com
Fri Oct 16 18:58:34 UTC 2015


On Fri, Oct 16, 2015 at 11:46 AM Marcello Perathoner <marcello at perathoner.de>
wrote:

> On 10/16/2015 08:08 PM, Chad wrote:
>
> > I would like to announce the release of MediaWiki 1.25.3, 1.24.4, and
> > 1.23.11.
>
>
> mediawiki-1.23.11 crashes with:
>
>
> PHP Fatal error:  Call to undefined function wfShorthandToInteger() in
> /public/vhost/g/gutenberg/html/mediawiki-1.23/includes/Setup.php on line
> 303
>
>
Ouch, I see what happened there. An unrelated change was never
backported, but the patch (based on master) applied cleanly. I'll
work on getting fixes into REL1_23 and REL1_24 and I'll reissue
those sets of files straightaway.

1.25 and above are unaffected by this.

-Chad


More information about the MediaWiki-l mailing list